<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:b="http://bootsfaces.net/ui">

<f:metadata>
    <f:viewParam name="id" value="#{mbSousCat.sousCatSelect}"/>
    <f:viewAction action="#{mbSousCat.init()}"/>
    <f:event listener="#{mbcommande.init()}" type="preRenderView"/>
    <f:viewAction action="#{mbcommande.init()}"></f:viewAction>
</f:metadata>

<ui:composition template="/arche/arche.xhtml">
    <ui:define name="content">
        <b:jumbotron>
            <b:container>
                <h1>#{mbCategorie.getCategorieById(mbSousCat.sousCatSelect).nom}</h1>
            </b:container>
        </b:jumbotron>
        <b:container fluid="true" id="containerBody">
            <b:row>
                <div class="head-box text-center mb-5">
                    <h2>Que cherchez vous</h2>
                    <h6 class="text-underline-primary">Choisissez une catégorie pour consulter les articles</h6>
                </div>
            </b:row>
            <hr/>
            <br/>
            <b:row>
                <ui:repeat value="#{mbSousCat.allCatById}" var="souscat">
                    <b:column col-md="3">
                        <b:thumbnail style="height:290px; width:250px;border-radius:20px">
                            <b:commandLink href="/AppWeb/faces/article/affichageArticle.xhtml?id=#{souscat.id}">
                            <div class="text-center">
                                <img class="rounded-circle" src="../img/#{souscat.nomImage}"
                                     alt="Generic placeholder image" width="100" height="auto"/>
                                <h4>#{souscat.nom}</h4>
                                <p>#{souscat.description}</p>
                            </div>
                            </b:commandLink>
                        </b:thumbnail>
                    </b:column>
                </ui:repeat>
            </b:row>
            <hr/>
        </b:container>
    </ui:define>
</ui:composition>
</html>